ECHO OFF
REM SQL Consolidated database with SQL Anywhere remote using TCPIP in High Availability 
REM SQL Anywhere Studio MobiLink Synchronization 10.0.1
REM Written by Joshua Savill
REM Product Manager - Sybase iAnywhere
REM January 22, 2008


REM Starting the Arbiter Server
"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -md full -x tcpip(port=2637) -n arbiter -xa AUTH=abc;DBN=MLcons -xf arbiterstate.txt -su sql
REM Starting Server 1
"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -md full -x tcpip(PORT=2635) -xf server1state.txt -su sql -n server1 .\cons\server1\MLcons.db -n MLcons -sn tcpip_cons -xp partner=(ENG=server2;LINKS=tcpip(PORT=2639;TIMEOUT=1));auth=abc;arbiter=(ENG=arbiter;LINKS=tcpip(PORT=2637;TIMEOUT=1));mode=sync 
REM Starting Server 2
"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -md full -x tcpip(port=2639) -xf server2state.txt -su sql -n server2 .\cons\server2\MLcons.db -n MLcons -sn tcpip_cons -xp partner=(ENG=server1;LINKS=tcpip(PORT=2635;TIMEOUT=1));auth=abc;arbiter=(ENG=arbiter;LINKS=tcpip(PORT=2637;TIMEOUT=1));mode=sync

sleep 10

REM Starting the MobiLink Server
start "" "%SQLANY10%\win32\mlsrv10" -o mlsrv.out -zs ml_tcpip -c "DSN=tcpip_cons" -dl -zu+ -x tcpip{port=2439}

REM Starting the Remote Arbiter Server
"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -md full -x tcpip(port=2700) -n rem_arbiter -xa AUTH=abc;DBN=MLrem -xf rem_arbiterstate.txt -su sql
REM Starting Server 1
"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -md full -x tcpip(PORT=2701) -xf rem_server1state.txt -su sql -n rem_server1 .\rem\rem_server1\MLrem.db -n MLrem -sn tcpip_rem -xp partner=(ENG=rem_server2;LINKS=tcpip(PORT=2702;TIMEOUT=1));auth=abc;arbiter=(ENG=rem_arbiter;LINKS=tcpip(PORT=2700;TIMEOUT=1));mode=sync 
REM Starting Server 2
"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -md full -x tcpip(port=2702) -xf rem_server2state.txt -su sql -n rem_server2 .\rem\rem_server2\MLrem.db -n MLrem -sn tcpip_rem -xp partner=(ENG=rem_server1;LINKS=tcpip(PORT=2701;TIMEOUT=1));auth=abc;arbiter=(ENG=rem_arbiter;LINKS=tcpip(PORT=2700;TIMEOUT=1));mode=sync

REM Starting the Remote Arbiter Server
"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -md full -x tcpip(port=2704) -n rem2_arbiter -xa AUTH=abc;DBN=MLrem -xf rem2_arbiterstate.txt -su sql
REM Starting Server 1
"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -md full -x tcpip(PORT=2705) -xf rem2_server1state.txt -su sql -n rem2_server1 .\rem2\rem2_server1\MLrem.db -n MLrem -sn tcpip_rem2 -xp partner=(ENG=rem2_server2;LINKS=tcpip(PORT=2706;TIMEOUT=1));auth=abc;arbiter=(ENG=rem2_arbiter;LINKS=tcpip(PORT=2704;TIMEOUT=1));mode=sync 
REM Starting Server 2
"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -md full -x tcpip(port=2706) -xf rem2_server2state.txt -su sql -n rem2_server2 .\rem2\rem2_server2\MLrem.db -n MLrem -sn tcpip_rem2 -xp partner=(ENG=rem2_server1;LINKS=tcpip(PORT=2705;TIMEOUT=1));auth=abc;arbiter=(ENG=rem2_arbiter;LINKS=tcpip(PORT=2704;TIMEOUT=1));mode=sync

REM Starting the Remote Arbiter Server
"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -md full -x tcpip(port=2708) -n rem3_arbiter -xa AUTH=abc;DBN=MLrem -xf rem3_arbiterstate.txt -su sql
REM Starting Server 1
"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -md full -x tcpip(PORT=2709) -xf rem3_server1state.txt -su sql -n rem3_server1 .\rem3\rem3_server1\MLrem.db -n MLrem -sn tcpip_rem3 -xp partner=(ENG=rem3_server2;LINKS=tcpip(PORT=2710;TIMEOUT=1));auth=abc;arbiter=(ENG=rem3_arbiter;LINKS=tcpip(PORT=2708;TIMEOUT=1));mode=sync 
REM Starting Server 2
"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -md full -x tcpip(port=2710) -xf rem3_server2state.txt -su sql -n rem3_server2 .\rem3\rem3_server2\MLrem.db -n MLrem -sn tcpip_rem3 -xp partner=(ENG=rem3_server1;LINKS=tcpip(PORT=2709;TIMEOUT=1));auth=abc;arbiter=(ENG=rem3_arbiter;LINKS=tcpip(PORT=2708;TIMEOUT=1));mode=sync

REM Starting the Remote Arbiter Server
"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -md full -x tcpip(port=2712) -n rem4_arbiter -xa AUTH=abc;DBN=MLrem -xf rem4_arbiterstate.txt -su sql
REM Starting Server 1
"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -md full -x tcpip(PORT=2713) -xf rem4_server1state.txt -su sql -n rem4_server1 .\rem4\rem4_server1\MLrem.db -n MLrem -sn tcpip_rem4 -xp partner=(ENG=rem4_server2;LINKS=tcpip(PORT=2714;TIMEOUT=1));auth=abc;arbiter=(ENG=rem4_arbiter;LINKS=tcpip(PORT=2712;TIMEOUT=1));mode=sync 
REM Starting Server 2
"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -md full -x tcpip(port=2714) -xf rem4_server2state.txt -su sql -n rem4_server2 .\rem4\rem4_server2\MLrem.db -n MLrem -sn tcpip_rem4 -xp partner=(ENG=rem4_server1;LINKS=tcpip(PORT=2713;TIMEOUT=1));auth=abc;arbiter=(ENG=rem4_arbiter;LINKS=tcpip(PORT=2712;TIMEOUT=1));mode=sync

REM Starting the Remote Arbiter Server
"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -md full -x tcpip(port=2716) -n rem5_arbiter -xa AUTH=abc;DBN=MLrem -xf rem5_arbiterstate.txt -su sql
REM Starting Server 1
"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -md full -x tcpip(PORT=2717) -xf rem5_server1state.txt -su sql -n rem5_server1 .\rem5\rem5_server1\MLrem.db -n MLrem -sn tcpip_rem5 -xp partner=(ENG=rem5_server2;LINKS=tcpip(PORT=2718;TIMEOUT=1));auth=abc;arbiter=(ENG=rem5_arbiter;LINKS=tcpip(PORT=2716;TIMEOUT=1));mode=sync 
REM Starting Server 2
"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -md full -x tcpip(port=2718) -xf rem5_server2state.txt -su sql -n rem5_server2 .\rem5\rem5_server2\MLrem.db -n MLrem -sn tcpip_rem5 -xp partner=(ENG=rem5_server1;LINKS=tcpip(PORT=2717;TIMEOUT=1));auth=abc;arbiter=(ENG=rem5_arbiter;LINKS=tcpip(PORT=2716;TIMEOUT=1));mode=sync

REM Starting the Remote Arbiter Server
"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -md full -x tcpip(port=2720) -n rem6_arbiter -xa AUTH=abc;DBN=MLrem -xf rem6_arbiterstate.txt -su sql
REM Starting Server 1
"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -md full -x tcpip(PORT=2021) -xf rem6_server1state.txt -su sql -n rem6_server1 .\rem6\rem6_server1\MLrem.db -n MLrem -sn tcpip_rem6 -xp partner=(ENG=rem6_server2;LINKS=tcpip(PORT=2022;TIMEOUT=1));auth=abc;arbiter=(ENG=rem6_arbiter;LINKS=tcpip(PORT=2720;TIMEOUT=1));mode=sync 
REM Starting Server 2
"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -md full -x tcpip(port=2022) -xf rem6_server2state.txt -su sql -n rem6_server2 .\rem6\rem6_server2\MLrem.db -n MLrem -sn tcpip_rem6 -xp partner=(ENG=rem6_server1;LINKS=tcpip(PORT=2021;TIMEOUT=1));auth=abc;arbiter=(ENG=rem6_arbiter;LINKS=tcpip(PORT=2720;TIMEOUT=1));mode=sync
