ECHO OFF
REM SQL Consolidated database with SQL Anywhere remote using TCPIP in High Availability   
REM SQL Anywhere Studio MobiLink Synchronization 10.0.1
REM Written by Joshua Savill
REM Product Manager - Sybase iAnywhere
REM January 22, 2008

"%SQLANY10%\win32\mlstop" -w -h ml_tcpip

"%SQLANY10%\win32\dbstop" -y -c "UID=dba;PWD=sql;DBN=utility_db;LINKS=tcpip;ENG=arbiter"
"%SQLANY10%\win32\dbstop" -y -c "UID=dba;PWD=sql;DBN=utility_db;LINKS=tcpip;ENG=server1"
"%SQLANY10%\win32\dbstop" -y -c "UID=dba;PWD=sql;DBN=utility_db;LINKS=tcpip;ENG=server2"

del /f MLcons.*
del /f *.txt
del /f /q .\server1\*.*
del /f /q .\server2\*.*
rmdir server1
rmdir server2


"%SQLANY10%\win32\dbinit" -i -s MLcons.db

"%SQLANY10%\win32\dbdsn" -wu tcpip_cons -c "UID=DBA;PWD=sql;ENG=tcpip_cons;DBN=MLcons;LINKS=tcpip{HOST=jsavill-d620}" -y

"%SQLANY10%\win32\dbspawn" -f dbsrv10 -c 25M -n tcpip_cons MLcons.db -n MLcons -x tcpip{PORT=2638}

"%SQLANY10%\win32\dbisql" -c "DSN=tcpip_cons" read "%SQLANY10%\MobiLink\setup\syncsa.sql"

"%SQLANY10%\win32\dbisql" -c "DSN=tcpip_cons" "read cons_schema.sql"

"%SQLANY10%\win32\dbisql" -c "DSN=tcpip_cons" "read insert.sql"

"%SQLANY10%\win32\dbstop" -c "DSN=tcpip_cons"

mkdir server1
mkdir server2

copy MLcons.db .\server1
copy MLcons.log .\server1
copy MLcons.db .\server2
copy MLcons.log .\server2

REM Starting the Arbiter Server

"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -x tcpip(port=2637) -n arbiter -xa AUTH=abc;DBN=MLcons -xf arbiterstate.txt -su sql

REM Starting Server 1

"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -x tcpip(PORT=2638) -xf server1state.txt -su sql -n server1 .\server1\MLcons.db -n MLcons -sn tcpip_cons -xp partner=(ENG=server2;LINKS=tcpip(PORT=2639;TIMEOUT=1));auth=abc;arbiter=(ENG=arbiter;LINKS=tcpip(PORT=2637;TIMEOUT=1));mode=sync 

REM Starting Server 2

"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -x tcpip(port=2639) -xf server2state.txt -su sql -n server2 .\server2\MLcons.db -n MLcons -sn tcpip_cons -xp partner=(ENG=server1;LINKS=tcpip(PORT=2638;TIMEOUT=1));auth=abc;arbiter=(ENG=arbiter;LINKS=tcpip(PORT=2637;TIMEOUT=1));mode=sync

REM Starting MobiLink Server

sleep 10

start "" "%SQLANY10%\win32\mlsrv10" -o mlsrv.out -zs ml_tcpip -c "DSN=tcpip_cons" -dl -zu+ -x tcpip{port=2439}